/**
 *
 *  Author(s)...: Pashgan    http://ChipEnable.Ru
 *  Target(s)...: любой микроконтроллер mega
 *  Compiler....: IAR 5.11A
 *  Description.: Заготовка для событийной системы на таблицах
 *  Data........: 30.09.12
 *
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#pragma once
#ifndef EVENT_SYSTEM_H
#define EVENT_SYSTEM_H

#include "main.h"
#include "list_event.h"

#define SIZE_BUF 200

void ES_Init(es_state_t init_state);
es_state_t ES_GetState(void);
void ES_SetState(es_state_t new_state);
es_event_t ES_GetEvent(void);
void ES_PlaceEvent(es_event_t event);
void ES_Dispatch(es_event_t event);

/**
 * ES function prototypes
 */
void in15Off(void);
void in15Minus(void);
void in15Plus(void);
void in15Percent(void);
void in15P(void);

void showTime(void);
void showWD(void);
void showDay(void);
void showMonth(void);
void showDayMon(void);
void showYear(void);

void showHumidity(void);
void showTemperature(void);
void showPressure(void);
void showSensorData(void);

/*
void showBright(void);
void incBright(void);
void decBright(void);

void setTimeShow(void);
void setTimeBegin(void);
void setHHBegin(void);
void setHHInc(void);
void setHHDec(void);
void setMMBegin(void);
void setMMInc(void);
void setMMDec(void);
void setTimeEnd(void);

void setDateBegin(void);
void setDateEnd(void);
void setWDMShow(void);
void setYearShow(void);
void setWDayBegin(void);
void setMDayBegin(void);
void setMonthBegin(void);
void setYearBegin(void);
void setIncWDay(void);
void setIncMDay(void);
void setIncMonth(void);
void setIncYear(void);
void setDecWDay(void);
void setDecMDay(void);
void setDecMonth(void);
void setDecYear(void);
*/

#endif /* EVENT_SYSTEM_H */
